Summary:	A library to speed up freedesktop.org application menus
Name:     	menu-cache
Version:	0.3.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://downloads.sourceforge.net/lxde/%name-%version.tar.gz
Patch0:		menu-cache-0.2.3-fix-str-fmt.patch
URL:		http://www.lxde.org
BuildRequires:	glib2-devel
BuildRequires:	intltool

%description
Libmenu-cache is a library creating and utilizing caches to speed up
freedesktop.org application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Faster loading of menus.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Greatly reduced disk I/O.

%files -f %{name}.lang
%{_libexecdir}/menu-cache*

#----------------------------------------------------------------------

%define major 1
%define libname %mklibname %name %major
%package -n %libname
Group:		Graphical desktop/Other
Requires:	%name >= %version
Summary:	Contains shared libraries for %name

%description -n %libname
This package contains shared libraries for %name.

%files -n %libname
%{_libdir}/*.so.%{major}*

#----------------------------------------------------------------------

%define develname %mklibname -d %name
%package -n %develname
Group:		Graphical desktop/Other
Requires:	%libname = %version
Summary:	Contains development files for %name
Provides:       %name-devel = %version
Provides:       lib%name-devel = %version

%description -n %develname
This package contains development files for %name.

%files -n %develname
%_libdir/*.so
%_includedir/%name
%_libdir/pkgconfig/*.pc

#----------------------------------------------------------------------
%prep
%setup -q -n %name-%version
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# remove la files
find %{buildroot}%{_libdir} -name *.la -delete

%{find_lang} %{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 359958
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.3.3-1.mga3
+ Revision: 316560
- new version 0.3.3

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.3.2-3.mga2
+ Revision: 168624
- remove la files

* Wed Jan 26 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 41499
- imported package menu-cache

